<?php
/**
 * Registers public stylesheet for a custom plugin.
 *
 * @link       https://hangar.org
 * @since      1.1.0
 *
 * @package    hangar_wp-plugin
 * @subpackage hangar_wp-plugin/includes
 */

/**
 * Registers public stylesheet for a custom plugin.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.1.0
 * @package    hangar_wp-plugin
 * @subpackage hangar_wp-plugin/includes
 * @author     Jorge - vitrubio.net <jorge@vitrubio.net>
 */

function hangar_public_styles() {
	add_editor_style( 'assets/css/hangar-wpplugin-styles.css' );
}
add_action( 'admin_init', 'hangar_public_styles' );
